#!/bin/bash
VAR_SCRIPT="/root/worker_join.bash"
VAR_TOKEN_OUTPUT=$(kubeadm token create --print-join-command)
VAR_TOKEN_OUTPUT=$(echo "$VAR_TOKEN_OUTPUT" | sed 's|{{ var_host_endpoint_ip }}|{{ inventory_hostname }}|')
echo '#!/bin/bash' > $VAR_SCRIPT
echo "$VAR_TOKEN_OUTPUT" >> $VAR_SCRIPT 
chmod 700 $VAR_SCRIPT
